// Modifications:
//  - Print just the dimensions of each argument
//  - Print just the type of each argument

#include <ostream>
#include <octave/oct.h>

DEFUN_DLD(print_info_cpp, args, nargout,
          "-*- texinfo -*-\n"
          "@deftypefn {FunctionFile} {} print_info_cpp (...)\n"
          "\n"
          "Calls print_info on each of the arguments.\n"
          "@end deftypefn") {
  int nargin = args.length();

  for (int i=0; i<nargin; ++i) {
    octave_stdout << "argument " << i << ":" << std::endl;
    args(i).print_info(octave_stdout," ");
  }

  return octave_value_list();
}
